Subject: Re: bug#6117: 24.0.50; dired-marked-face same as dired-flagged-face

From: Chong Yidong <[email-masked]>
Date: Wed, 17 Aug 2011 17:36:10 -0400

Juri Linkov <[email-masked]> writes:

> In the patch below, I've removed the regression and restored
> traditional pre-24 colors in compilation and dired, and also changed
> `dired-flagged' to inherit from the `error' face, and `dired-marked'
> from `warning'.
>
> There are more places that need these new faces to indicate
> error/warning/success, e.g. battery.el and other packages unrelated to
> font-lock that currently abuse font-lock faces.  They could be
> modified later.

Looks fine to me, but test the 16-color versions of those faces in an
xterm first, to see if those color values give the right results.